# Wrong decisions
- **tauri-leptos** adds unnecessary complexity to the project.
  Tauri is built to transfer backend Rust stuff to the frontend JavaScript world.
  But with leptos, the frontend becomes Rust so you have to transfer everything again back into the Rust world.

# Good decisions
- **Tauri** is strong 💪
  - Easy project setup with `cargo install create-tauri-app --locked` and `cargo create-tauri-app`
  - Easy testing with `cargo tauri dev`
  - Easy bundling (with installers and everything) with `cargo tauri build`
  - Final binary size of my tauri-leptos project is 13MB (which seems small to me if you think that a whole WASM / Web stack is in there)

# Open questions
- **logging**: I don't understand the relationship (or lack thereof) between `tracing` and `log`.
  I had to refactor logging in the client away from `tracing`.
