#![allow(clippy::unwrap_used)]

use std::path::PathBuf;

use lanspread_db::db::GameDB;

pub(crate) fn generate_test_db<P: Into<PathBuf>>(db_path: P) {
    let db_path = db_path.into();

    let mut db = GameDB::new();
    db.add_game(
        "Call of Duty 3",
        "A shooter game in war.",
        "call_of_duty.tar.zst",
        64,
        semver::Version::new(1, 0, 0),
    );
    db.add_game(
        "Counter-Strike Source",
        "Valve's iconic shooter.",
        "cstrike.tar.zst",
        32,
        semver::Version::new(1, 0, 0),
    );
    db.add_game(
        "Factorio",
        "Best game of all time, seriously.",
        "factorio.tar.zst",
        128,
        semver::Version::new(1, 0, 0),
    );

    db.update_game(1, Some("Call of Duty 4"), None, None);
    db.save_to_file(&db_path).unwrap();
}
